Description

I think something like

{{visible for some_user1, some_user2, group1, group2, role1, role2 }}

This text is invisible for other peoples :)

{{visible}}

 

This is really required feature, it allow’s include some technical comments for developers  or something else

Related issues:

Related to WikiNG - Enhancement #2229: Let reply use "user#id wrote" Closed 19 Sep 2013 16 Oct 2013

History

#1 - 16 Feb 2012 17:08 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

A good idea! Thanks!

But note that people having access to Wiki source will be able to see the invisible text...

#2 - 17 Feb 2012 12:05 - Дмитрий Салашник

Andriy Lesyuk wrote:

But note that people having access to Wiki source will be able to see the invisible text...

 

of course 

One point:

when user quotes message with hidden text (as example: on forums, comments to issues), qoute text must not contain text invisible for this user...
#3 - 28 Feb 2012 21:59 - Andriy Lesyuk

- Target version set to 1.0.0b

#4 - 22 Sep 2013 17:28 - Ivan Cenov

I liked this at first, then thought about social effects. Suppose two developers sitting side by side - one allowed, other not allowed to see something.

Disallowed developer looks at the monitor of the first one and sees hidden (from him) content. What he/she could think: Hey we are working together,

why I am not allowed to see this?

Well, this is technical functionality. How it would be used is another issue.

#5 - 13 Oct 2013 12:41 - Andriy Lesyuk

Taking the specified example the syntax should look like:

{{visible for user:some_user1, user:some_user2, group:group1, group:group2, role:role1, role:role2}}

This text is invisible for other peoples :)

{{visible}}

 

We need to differentiate users from groups and so on. So the syntax becomes too complex...

What about this:

{{user = s-andy}}

Content show only to user with login s-andy.

{{user}}

 

{{group = 'Project managers', 'Directors'}}

This content is shown only to managers.

{{group}}

 

{{role != "Testers"}}

Not shown to testers.

{{role}}
#6 - 16 Oct 2013 13:01 - Дмитрий Салашник

this syntax dont allow give permission for group and user at the same time

#7 - 20 Oct 2013 11:26 - Andriy Lesyuk

Then, probably, it should look like:

{{if(user = s-andy, group = 'Project managers', group = 'Directors')}}

Visible to user and groups

{{if}}

 

Your thoughts?

#8 - 22 Oct 2013 06:45 - Дмитрий Салашник

This syntax looks useful 

#9 - 23 Oct 2013 12:24 - Miodrag Milic

This is somewhat related to #2160.

About wiki source/history, the problem is dealt with in wikicipher plugin.

About syntax, let me propose the different one. First visible to show which is easier to type

{{show +@'user 1' -@'user 2' +#'group 1' -#'group 2' +$'role 1' -$'role 2'

some text

}}

 

'+' could be default one in order to simplify syntax

{{show @'user 1' #'group 1' $'role 1' -@'user 2' -#'group 2' -$'role 2'

some text

}}

 

Another one could be to separate visible_for and not_visible_for with | symbol which kinda looks natural (visible for left group, invisible for right group)

{{show @'user 1' #'group 1' $'role 1' | @'user 2' #'group 2' $'role 2'

some text

}}

 

This could become easy syntax with javascript that brings up the dialog that enumerates people/group/roles on the spot after typing few letters (just

like with all social network mentions).
http://projects.andriylesyuk.com/issues/2160
http://www.redmine.org/plugins/redmine_wikicipher


#10 - 18 May 2014 00:19 - Andriy Lesyuk

- Target version deleted (1.0.0b)
